Loading...
Searching...
No Matches
juce::DummyCriticalSection Class Reference

`#include <juce_CriticalSection.h>`

Inheritance diagram for juce::DummyCriticalSection:

## Classes

struct | ScopedLockType

## Public Types

using | ScopedUnlockType = ScopedLockType

## Public Member Functions

void | enter () const noexcept
bool | tryEnter () const noexcept
void | exit () const noexcept

## Detailed Description

A class that can be used in place of a real CriticalSection object, but which doesn't perform any locking.

This is currently used by some templated classes, and most compilers should manage to optimise it out of existence.

See also
  CriticalSection, Array, OwnedArray, ReferenceCountedArray

Definition at line 133 of file juce_CriticalSection.h.

## Member Typedef Documentation

## ScopedUnlockType

using juce::DummyCriticalSection::ScopedUnlockType = ScopedLockType

A dummy scoped-unlocker type to use with a dummy critical section.

Definition at line 151 of file juce_CriticalSection.h.

## Member Function Documentation

## enter()

void juce::DummyCriticalSection::enter | ( |  | ) | const

inline noexcept

Definition at line 139 of file juce_CriticalSection.h.

## exit()

void juce::DummyCriticalSection::exit | ( |  | ) | const

inline noexcept

Definition at line 141 of file juce_CriticalSection.h.

## tryEnter()

bool juce::DummyCriticalSection::tryEnter | ( |  | ) | const

inline noexcept

Definition at line 140 of file juce_CriticalSection.h.

The documentation for this class was generated from the following file:

- juce_CriticalSection.h